Program update error message:E: /var/cache/apt/archives/linux-image-2.6.24-23-generic_2.6.24-23.52_i386.deb: unable to make backup link of `./boot/vmlinuz-2.6.24-23-generic' before installing new version

Asked by Bill Holden on 2009-06-06

After installing 8.04LTS and running the available updates one will not install giving the following error message: E: /var/cache/apt/archives/linux-image-2.6.24-23-generic_2.6.24-23.52_i386.deb: unable to make backup link of `./boot/vmlinuz-2.6.24-23-generic' before installing new version.

Without this update cannot upgrade to the latest version 9.04.

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu gnome-app-install Edit question
Assignee:
No assignee Edit question
Last query:
2009-06-06
Last reply:
2009-06-06

what is the output of:

file /boot/vmlinuz-2.6.24-23-generic

Thanks

Sam_ (and-sam) said : #2

Please try to give the complete output of procedures.
http://paste.ubuntu.com/

Diagnose sources.list, update outputs and space issues.
cat /etc/apt/sources.list
sudo apt-get update
sudo apt-get upgrade
df -m

It isn't a wubi issue is it?
http://ubuntuforums.org/showthread.php?t=1090558

Pastebins expire. pasting directly here is preffered.

Can you help with this problem?

Provide an answer of your own, or ask Bill Holden for more information if necessary.

To post a message you must log in.